Bug 814435 - 3.1 - LUN with locally-mounted fs is reported as a valid storage domain device
3.1 - LUN with locally-mounted fs is reported as a valid storage domain device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Eduardo Warszawski
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 16:53 EDT by Mike Burns
Modified: 2014-01-12 19:51 EST (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-19.0
Doc Type: Bug Fix
Doc Text:
Previously when adding a Fibre Channel storage domain through the Red Hat Enterprise Virtualization Manager administration portal, the installation disk was presented as a valid Fibre Channel disk for the storage domain. Selecting the installation disk could cause data corruption. Now, a pop-up with approval latch is displayed, preventing unwanted data loss.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:57:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (2.05 MB, text/plain)
2012-04-19 16:53 EDT, Mike Burns
no flags Details

  None (edit)
Description Mike Burns 2012-04-19 16:53:02 EDT
Created attachment 578783 [details]
vdsm.log

Description of problem:
When adding a FC storage domain through the RHEVM Admin interface, the installation disk is presented as a valid FC disk for the storage domain.  This should be filetered out.

RHEV-H is installed on an FC Lun.

Version-Release number of selected component (if applicable):
RHEVM 3.0.2_0001-2
vdsm-4.9.6-8.el6
rhev-hypervisor-6.3-20120419.0.el6

How reproducible:
Always

Steps to Reproduce:
1.install rhev-h to FC lun
2.register to rhevm in an FC datacenter
3.create new storage domain using rhevh as the host to create
  
Actual results:
presents all fc luns including the installation disk

Expected results:
should filter the disk(s) where rhev-h is installed

Additional info:
Comment 1 Dan Kenigsberg 2012-04-23 08:31:19 EDT
I believe this is not specific to RHEV-H: if we install on a RHEL host which has mounted filesystems on its FC devices, vdsm would report these FCs as available for a storage domain. And although dangerous, this is not new and I do not think that it is a blocker.
Comment 3 Dan Kenigsberg 2012-07-02 09:21:05 EDT
According to Eduardo, this is solved as part of

http://gerrit.ovirt.org/5515

which would report locally-mounted devices as "gray".
Comment 5 Eduardo Warszawski 2012-07-02 09:26:01 EDT
http://gerrit.usersys.redhat.com/#change,1338
Comment 10 Haim 2012-07-16 03:43:37 EDT
fixed in vdsm-4.9.6-21.0.el6_3.x86_64, when I choose the mounted-lun and click ok, new pop-up with approval latch is displayed.
Comment 13 errata-xmlrpc 2012-12-04 13:57:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.